using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ClubManager.Models
{
    public class Season
    {
        [Key]
        public int Id { get; set; }
        /// <summary>
        /// For example Fall 2009
        /// </summary>
        public string Name { get; set; }

        public DateTime Starts { get; set; }
        public DateTime Ends { get; set; }

        public ICollection<ClubTeam> Teams { get; set; }
    }
}